
Website Monitoring - Feature #1892

Feature # 1887 (Closed): Use secure storage for proxy password

Modify setup page to store the password in secure storage

06/06/2017 09:33 PM - Luke Murphey

Status: Closed Start date: 06/06/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.3   

Description

Note that if the password is left blank and the password is defined in the conf file (unencrypted) then the system needs to upgrade

the password to secure storage. Also need to update the conf spec to make it clear that the password is no longer required.

Associated revisions

Revision 324 - 07/01/2017 04:38 AM - lukemurphey

Adding secure credential storage and loading

Reference #1892

Revision 330 - 07/01/2017 06:35 AM - lukemurphey

Updating the spec files to note that the passwords should use secure storage

Reference #1892

History

#1 - 07/01/2017 06:36 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
